# Get a payment method's details

Get the details regarding a specific payment method

Endpoint: GET /payment_methods/{paymentMethodId}
Version: 1.0.0
Security: ApiKeyAuth, ApiKeySecret

## Path parameters:

  - `paymentMethodId` (string, required)
    The unique identifier created by Belvo used to reference the payment method.
    Example: "d5f2e1a8-f449-4338-bd6a-df62b3fbf0b3"

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier created by Belvo used to reference the payment method.
    Example: "3118128a-6792-4b06-bd61-4acf6f6ad6b5"

  - `createdDate` (string,null)
    The ISO-8601 timestamp when the customer was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `lastUpdatedDate` (string,null)
    The ISO-8601 timestamp when information regarding the customer was last updated.
    Example: "2022-02-09T08:45:50.406032Z"

  - `status` (string)
    The status of the payment method. Can be either: 
  - pending_agreement_acceptance
    The method needs to be accepted by the bank account owner. This can be done either by sending a Setup Link to the owner or by using our Agreements API resource.
  - waiting_for_activation_response
    The owner has accepted the payment method. The registration and charge files have been generated.
    The financial institution now needs to send a response regarding bank account information (OK or Not OK).
  - active
    The financial institution has successfully confirmed the bank account registration. The payment method can now be used for payment requests. 
    Note: The status can change to inactive if the owner cancels or removes the payment method at the financial institution.
  - error
    The financial institution was not able to confirm the bank account registration (usually due to the owner providing incorrect bank account information or an error in the financial institution).
  - inactive
    The payment method cannot be used. This is usually due to the owner canceling their account and the financial institution informing us that the method is no longer valid
    Enum: "pending_agreement_acceptance", "waiting_for_activation_response", "active", "error", "inactive"

  - `type` (string)
    The type of account. For Mexico, this value is set to bank_account.
    Enum: "bank_account"

  - `customer` (object)
    Details regarding the customer associated with the payment method.

  - `customer.id` (string)
    The unique identifier created by Belvo used to reference the current customer.
    Example: "3118128a-6792-4b06-bd61-4acf6f6ad6b5"

  - `customer.firstname` (string)
    The first name of the customer.
    Example: "Carlos"

  - `customer.lastname` (string)
    The last name of the customer.
    Example: "Vives"

  - `customer.email` (string)
    The email of the customer.
    Example: "carlos-vives@musica.mx"

  - `customer.phone` (string)
    The phone number of the customer (including country code).
    Example: "+523001234567"

  - `details` (object)
    Details regarding the bank account associated with the payment method.

  - `details.accountNumber` (string)
    The bank account number.
    Example: "445566790"

  - `details.accountType` (string)
    The bank account type. Can be either:
  - savings
  - checking
  - debit_card
    Enum: "savings", "checking", "debit_card"

  - `details.bank` (string)
    The name of the Mexican bank where the account is held.


For a full list of institutions, please see our dedicated Payment Institutions page.

## Response 400 fields (application/json):

  - `statusCode` (integer)
    The HTTP status code for this error.
    Example: 400

  - `error` (string)
    The HTTP status code description for this error.
    Example: "Bad Request"

  - `message` (any)
    A short description of the error, indicating what is wrong with the request.
> Note: We return either a string or an array of strings, depending on the validation error(s). 

The description can be (among others):

  - id must be a UUID
  - Not enough balance
  - amount is not a valid decimal number.
  - currency must be one of the following values: cop, mxn, usd
  - reference must be a string
  - Customer not found for merchant
  - documentType is a required field
    Example: "id must be a UUID"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    The HTTP status code for this error.
    Example: 401

  - `error` (string)
    The HTTP status code description for this error.
    Example: "Unauthorized"

  - `message` (string)
    A short description of the error, indicating what is wrong with the request.
In the case of a 401 Unauthorized error, the message is:

  - Unauthorized credentials
    Example: "Unauthorized credentials"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    The HTTP status code for this error.
    Example: 404

  - `error` (string)
    The HTTP status code description for this error.
    Example: "Not Found"

  - `message` (string)
    A short description of the error, indicating what is wrong with the request.
The description can be (among others):

  - Payout Target not found
  - Payment method not found
  - Customer not found
    Example: "Payout Target not found"


